﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win;

namespace _88193
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
           
            DataTable dropdowntable = new DataTable();
            dropdowntable.Columns.Add("String", typeof(string));
            dropdowntable.Columns.Add("Checked", typeof(bool));
            dropdowntable.Rows.Add("abc", false);
            dropdowntable.Rows.Add("def", false );
            dropdowntable.Rows.Add("ghi", true);

            udd.DataSource = dropdowntable;
            udd.ValueMember = dropdowntable.Columns["String"].ColumnName;
            udd.CheckedListSettings.CheckStateMember = dropdowntable.Columns["Checked"].ColumnName;
            udd.CheckedListSettings.EditorValueSource = Infragistics.Win.EditorWithComboValueSource.CheckedItems;
            udd.CheckedListSettings.ItemCheckArea = ItemCheckArea.Item;

            
            DataTable gridTable = new DataTable();
            gridTable.Columns.Add("String[]", typeof(object));
            gridTable.Rows.Add((object)(new string[] { "abc" }));
            gridTable.Rows.Add((object)(new string[] { "abc", "ghi" }));

            ultraGrid1.DataSource = gridTable;
            udd.DisplayLayout.Override.ActiveRowAppearance.BackColor = Color.Blue;
            udd.DrawFilter = new MyDraw(udd.CheckedListSettings.CheckStateMember);

        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            e.Layout.Override.SelectTypeRow = Infragistics.Win.UltraWinGrid.SelectType.Extended;
            e.Layout.Bands[0].Columns[0].EditorComponent = udd;
            e.Layout.Bands[0].Columns[0].Width = 150;
        }

        private void udd_InitializeRow(object sender, Infragistics.Win.UltraWinGrid.InitializeRowEventArgs e)
        {
           
        }
    }
}
